• Chris Lamb's avatar
    Suppress warnings from cryptsetup initramfs hook. · b22a4ea7
    Chris Lamb authored
    This should fix the "unstable" diffoscope builds, eg:
    
      https://jenkins.debian.net/job/reproducible_diffoscope_from_git_master/555/parsed_console/
    
    For example:
    
      Setting up linux-image-4.18.0-2-amd64 (4.18.10-2) ...
      I: /vmlinuz.old is now a symlink to boot/vmlinuz-4.18.0-2-amd64
      I: /initrd.img.old is now a symlink to boot/initrd.img-4.18.0-2-amd64
      I: /vmlinuz is now a symlink to boot/vmlinuz-4.18.0-2-amd64
      I: /initrd.img is now a symlink to boot/initrd.img-4.18.0-2-amd64
      /etc/kernel/postinst.d/initramfs-tools:
      update-initramfs: Generating /boot/initrd.img-4.18.0-2-amd64
      cryptsetup: WARNING: Couldn't determine root device
      cryptsetup: ERROR: Couldn't resolve device /dev/dm-2
      cryptsetup: WARNING: The initramfs image may not contain cryptsetup binaries
          nor crypto modules. If that's on purpose, you may want to uninstall the
          'cryptsetup-initramfs' package in order to disable the cryptsetup initramfs
          integration and avoid this warning.
      loadkeys is missing. Please install the 'kbd' package.
      Setting up policykit-1 (0.105-21) ...
      Setting up cryptsetup (2:2.0.4-3) ...
    b22a4ea7
debian-pkg-ci.rules 1.51 KB